<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Camera
 */
#[ORM\Table(name: 'film', schema: 'collection')]
#[ORM\Entity]
class Film {
	use GetSet;

	#[ORM\Id]
	#[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
	private int $id;

	#[ORM\Column(name: 'brand', type: 'string', nullable: FALSE)]
	private string $brand;

	#[ORM\Column(name: 'product_line', type: 'string', nullable: TRUE)]
	private ?string $productLine = NULL;

	#[ORM\Column(name: 'film_name', type: 'string', nullable: FALSE)]
	private string $filmName;

	#[ORM\Column(name: 'film_alias', type: 'string', nullable: TRUE)]
	private ?string $filmAlias = NULL;

	#[ORM\Column(name: 'film_speed_asa', type: 'integer', nullable: FALSE)]
	private int $filmSpeedAsa;

	#[ORM\Column(name: 'film_speed_din', type: 'integer', nullable: FALSE)]
	private int $filmSpeedDin;

	#[ORM\Column(name: 'film_format', type: 'string', nullable: FALSE)]
	private string $filmFormat;

	#[ORM\Column(name: 'film_base', type: 'string', nullable: FALSE, options: ['default' => 'Cellulose Triacetate'])]
	private string $filmBase = 'Cellulose Triacetate';

	#[ORM\Column(name: 'unused_rolls', type: 'integer', nullable: FALSE, options: ['default' => 0])]
	private int $unusedRolls = 0;

	#[ORM\Column(name: 'rolls_in_camera', type: 'integer', nullable: FALSE, options: ['default' => 0])]
	private int $rollsInCamera = 0;

	#[ORM\Column(name: 'developed_rolls', type: 'integer', nullable: FALSE, options: ['default' => 0])]
	private int $developedRolls = 0;

	#[ORM\Column(name: 'chemistry', type: 'string', nullable: FALSE, options: ['default' => 'C-41'])]
	private string $chemistry = 'C-41';

	#[ORM\Column(name: 'notes', type: 'text', nullable: TRUE)]
	private ?string $notes = NULL;
}
