<?php declare(strict_types=1);

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

trait FlashBase {
	use PurchasePrice;

	#[ORM\Column(name: 'brand', type: 'string', nullable: FALSE)]
	private readonly string $brand;

	#[ORM\Column(name: 'model', type: 'string', nullable: FALSE)]
	private readonly string $model;

	#[ORM\Column(name: 'is_auto_flash', type: 'boolean', nullable: FALSE)]
	private bool $isAutoFlash = FALSE;

	#[ORM\Column(name: 'is_ttl', type: 'boolean', nullable: FALSE)]
	private bool $isTtl = FALSE;

	#[ORM\Column(name: 'ttl_type', type: 'string', nullable: FALSE)]
	private string $ttlType = 'N / A';

	#[ORM\Column(name: 'is_p_ttl', type: 'boolean', nullable: FALSE)]
	private bool $isPTtl = FALSE;

	#[ORM\Column(name: 'p_ttl_type', type: 'string', nullable: FALSE)]
	private string $pTtlType = 'N / A';

	#[ORM\Column(name: 'guide_number', type: 'string', nullable: TRUE)]
	private ?string $guideNumber = '';

	#[ORM\Column(name: 'batteries', type: 'string', nullable: FALSE)]
	private string $batteries = '4x AA';

	#[ORM\Column(name: 'notes', type: 'text', nullable: TRUE)]
	private readonly ?string $notes;

	#[ORM\Column(name: 'serial', type: 'string', nullable: TRUE)]
	private readonly ?string $serial;
}
