<?php declare(strict_types=1);

namespace App\Entity;

use App\Repository\LensesRepository;
use Doctrine\ORM\Mapping as ORM;

/**
 * Camera.previouslyOwnedLenses
 */
#[ORM\Table(name: 'previously_owned_lenses', schema: 'collection')]
#[ORM\Entity(repositoryClass: LensesRepository::class)]
class PreviouslyOwnedLenses {
	use GetSet;
	use LensTrait;

	#[ORM\Column(name: 'id', type: 'integer', nullable: FALSE)]
	#[ORM\Id]
	#[ORM\GeneratedValue(strategy: 'IDENTITY')]
	private int $id;

	#[ORM\Column(name: 'received', type: 'boolean', nullable: FALSE)]
	private bool $received = TRUE;

	#[ORM\Column(name: 'formerly_owned', type: 'boolean', nullable: FALSE)]
	private bool $formerlyOwned = TRUE;
}
